>From 7ddd053215073fe85af88bc719c3f83b0dab666a Mon Sep 17 00:00:00 2001
From: Joseph Tulou <brezhoneg1@yahoo.fr>
Date: Mon, 29 Dec 2008 20:17:46 +0100
Subject: [PATCH] change Ext2Fourcc into image_Ext2Fourcc and export it for reuse within vlc

---
 include/vlc_image.h |    2 ++
 src/libvlccore.sym  |    1 +
 src/misc/image.c    |    8 ++++----
 3 files changed, 7 insertions(+), 4 deletions(-)

diff --git a/include/vlc_image.h b/include/vlc_image.h
index a7ab94c..b8785ae 100644
--- a/include/vlc_image.h
+++ b/include/vlc_image.h
@@ -70,6 +70,8 @@ VLC_EXPORT( void, image_HandlerDelete, ( image_handler_t * ) );
 #define image_Convert( a, b, c, d ) a->pf_convert( a, b, c, d )
 #define image_Filter( a, b, c, d ) a->pf_filter( a, b, c, d )
 
+VLC_EXPORT( vlc_fourcc_t, image_Ext2Fourcc, ( const char *psz_name ) );
+
 # ifdef __cplusplus
 }
 # endif
diff --git a/src/libvlccore.sym b/src/libvlccore.sym
index 9dcf2d9..6e60cf6 100644
--- a/src/libvlccore.sym
+++ b/src/libvlccore.sym
@@ -153,6 +153,7 @@ httpd_UrlNew
 httpd_UrlNewUnique
 __image_HandlerCreate
 image_HandlerDelete
+image_Ext2Fourcc
 InitMD5
 input_Control
 input_CreateFilename
diff --git a/src/misc/image.c b/src/misc/image.c
index e50bdc9..acee3b8 100644
--- a/src/misc/image.c
+++ b/src/misc/image.c
@@ -70,7 +70,7 @@ static filter_t *CreateFilter( vlc_object_t *, es_format_t *,
                                video_format_t *, const char * );
 static void DeleteFilter( filter_t * );
 
-static vlc_fourcc_t Ext2Fourcc( const char * );
+vlc_fourcc_t image_Ext2Fourcc( const char * );
 /*static const char *Fourcc2Ext( vlc_fourcc_t );*/
 
 /**
@@ -239,7 +239,7 @@ static picture_t *ImageReadUrl( image_handler_t *p_image, const char *psz_url,
     if( !p_fmt_in->i_chroma )
     {
         /* Try to guess format from file name */
-        p_fmt_in->i_chroma = Ext2Fourcc( psz_url );
+        p_fmt_in->i_chroma = image_Ext2Fourcc( psz_url );
     }
 
     p_pic = ImageRead( p_image, p_block, p_fmt_in, p_fmt_out );
@@ -351,7 +351,7 @@ static int ImageWriteUrl( image_handler_t *p_image, picture_t *p_pic,
     if( !p_fmt_out->i_chroma )
     {
         /* Try to guess format from file name */
-        p_fmt_out->i_chroma = Ext2Fourcc( psz_url );
+        p_fmt_out->i_chroma = image_Ext2Fourcc( psz_url );
     }
 
     file = utf8_fopen( psz_url, "wb" );
@@ -533,7 +533,7 @@ static const struct
     { 0, NULL }
 };
 
-static vlc_fourcc_t Ext2Fourcc( const char *psz_name )
+vlc_fourcc_t image_Ext2Fourcc( const char *psz_name )
 {
     int i;
 
-- 
1.5.2.5

